/* vim:set ts=2 sw=2 sts=2 expandtab */
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

const Ci = Components.interfaces;
const Cu = Components.utils;

let {Devices} = Cu.import("resource://gre/modules/devtools/Devices.jsm");
let {Promise:promise} = Cu.import("resource://gre/modules/Promise.jsm", {});

function install(data, reason) {}

function startup(data, reason) {
  Devices.helperAddonInstalled = true;
  Devices.register("fakeUSBDevice", {
    connect: function (remotePort) {
      return promise.resolve(null);
    }
  });
}

function shutdown(data, reason) {
  Devices.unregister("fakeUSBDevice");
  Devices.helperAddonInstalled = false; 
}

function uninstall(data, reason) {}
